.DisplayNone {
    display: none;
}

.LoadingProgressWrapper {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
    background: rgba(200, 200, 200, 0.4);
}

.LoadingProgress {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
    position: relative;
}

.LoadingProgressCircle {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 6px solid #eee;
    border-top-color: #3498db;
    animation: Loading 1s linear infinite;
}

@keyframes Loading {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
